<p align="center"><img src="https://raw.githubusercontent.com/philpl/fluorine/master/docs/fluorine-flasky-2x.gif" width=400></p>
<p align="center">
<strong>Flexible state and side effect manager using <a href="https://github.com/Reactive-Extensions/RxJS">RxJS</a> for <a href="https://facebook.github.io/react/">React</a>.</strong>
<br><br>
<a href="https://travis-ci.org/philpl/fluorine"><img src="https://img.shields.io/travis/philpl/fluorine/master.svg"></a>
<a href="https://coveralls.io/github/philpl/fluorine"><img src="https://img.shields.io/coveralls/philpl/fluorine/master.svg"></a>
<a href="https://slack.fluorinejs.org/"><img alt="Join Fluorine's Slack!" src="https://slack.fluorinejs.org/badge.svg"></a>
<a href="https://npmjs.com/package/fluorine-lib"><img src="https://img.shields.io/npm/dm/fluorine-lib.svg"></a>
<a href="https://npmjs.com/package/fluorine-lib"><img src="https://img.shields.io/npm/v/fluorine-lib.svg"></a>
<br>
<iframe src="https://ghbtns.com/github-btn.html?user=philpl&repo=fluorine&type=star&count=true&size=large" frameborder="0" scrolling="0" width="140px" height="30px"></iframe>
</p>

Fluorine provides you with easy, reactive state and side effect management,
accumulating stores from streams of actions and side effects.

It builds on the ideas of Redux, while preserving a Flux-like Dispatcher
as the single source of truth.

- Your stores are directly reduced from the dispatcher and actions are dispatched on it
- Manage your side effect as Observables ("Agendas") with automatic rollbacks on error
- Unopinionated and simple API with Middleware support

This is the ultimate way to use RxJS for state and side effect management!

## Used and Supported by

<table border="0">

<tr>
<td><img src="https://datawallet.io/img/logo.svg" height="100px"/></td>
<td valign="middle"><h4><a href="https://datawallet.io">DataWallet</a></h4></td>
</tr>

<tr>
<td><img src="https://piemapping.com/img/favicons/apple-touch-icon.png" height="100px"/></td>
<td valign="middle"><h4><a href="https://piemapping.com">Pie Mapping</a></h4></td>
</tr>

</table>

